html {
    box-sizing: border-box;
    margin: 0;
    font-family: 'Noto Sans JP', sans-serif;
}

body {
    margin: 0;
}

 /* general queries */
 @media only screen and (max-width: 768px) {
    html, body { height: 100% } 
}

/* Header */

.navbar {
    background-color: rgba(255, 255, 255, 0.7);
    height: 85px;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 50;
}

.navbar-brand img {
    max-width: 140px;
}

.nav-container {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    padding: 30px 2%;
}

.nav-link {
    color: #0268B7;
    font-weight: bold;
    text-decoration: none;
}

/* Fixed buttons (back to top and side nav) */

#button {
    background-color: rgba(90, 223, 230, 0.68);
    border-radius: 50%; 
    border: none;
    bottom: 90px;
    display: inline-block;
    opacity: 0;
    padding: 15px;
    position: fixed;
    right: 30px;
    text-align: center;
    transition: background-color .3s, opacity .5s, visibility .5s;
    transition: background-color .3s;
    visibility: hidden;
    z-index: 800;
  }

  #button:hover {
    background-color: rgba(90, 223, 230);
    cursor: pointer;
  }
  
  #button.show {
    opacity: 1;
    visibility: visible;
  }

.nav-link:hover {
    color: #258bda;
    text-decoration: underline;
}

#sideNav {
    background-color: rgba(90, 223, 230, 0.68); 
    border-radius: 50%; 
    border: none; 
    bottom: 20px;
    color: white; 
    cursor: pointer; 
    display: none; 
    font-size: 18px;
    outline: none; 
    padding: 15px; 
    position: fixed; 
    right: 30px; 
    z-index: 1000;  
  }

.menu-img {
    height: 30px;
    width: 30px;
}

#sideNav:hover {
    background-color: rgba(90, 223, 230); 
}

.sidenav {
    bottom: 0;
    position: fixed;
    right: 0;
    z-index: 900;
}

.sidenav-inner {
    background-color: rgba(255, 255, 255, 1);;
    bottom: 0;
    -moz-box-shadow:-3px -2px 5px 0px rgba(50, 50, 50, 0.75);
    -webkit-box-shadow: -3px -2px 5px 0px rgba(50, 50, 50, 0.75);
    box-shadow: -3px -2px 5px 0px rgba(50, 50, 50, 0.75);
    display: none;
    left: 0;
    padding: 30px 10px 30px 10px;
    position: fixed;
    right: 0;
    z-index: 900;
}

.side-nav-flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
}

.sidenav-inner a {
    color: #0268B7;
    display: inline-block;
    list-style: none;
    padding: 10px 20px;
    text-align: left;
    text-decoration: none;
}

.sidenav-inner a:hover {
    color: #258bda;
}

 /* Header and sidenav queries */
@media only screen and (max-width: 768px) {
    .navbar {
        height: 60px;
    }

    .nav-container {
        padding: 17px 2%;
    }

    #button {
        bottom: 90px;
        right: 5px;
    }

    #button:hover, #sideNav:hover {
        background-color: rgba(90, 223, 230, 0.68)}
        
    #sideNav {
        bottom: 20px;
        right: 5px;
    }
}

/* Hero container */
#splide {
    height: 100vh;
}

.hero {
    align-items: center;
    background-image: url(../img/meiko_booth-m.jpg);
    background-position: right;
    background-size: cover;
    display: flex;
    height: 100vh;
    justify-content: flex-end;
    position: relative;
    width: 100%;
}

.hero-wrap {
    align-items: center;
    background: linear-gradient(90deg, rgba(0, 6, 12, 0.5) 0%, rgba(2, 33, 70, 0.5) 35%, rgba(4, 13, 17, 0.5) 100%);
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
    padding: 0 5%;
    width: 100%;
}

.hero-txt-wrap {
    text-align: center;
}

h1.hero-txt {
   color: #ffffff;
   font-size: 70px;
   text-shadow: 0px 5px 5px #258bda;
}

.hero-wrap p, .hero-wrap h2 {
    color: #ffffff;
}

.hero-wrap p {
    font-size: 25px;
}

.hero-wrap h2 {
    font-size: 20px;
    font-weight: normal;
}

.hero-arrow {
    bottom: 3%;
    cursor: pointer;
    left: 46%;
    opacity: .5;
    padding: 3%;
    position: absolute;
    transition: .5s;
    width: 40px;
}

.hero-arrow:hover {
    opacity: .8;
}

h1.hero2-txt {
    font-size: 60px;
    margin: 0;
}

.txt-s {
    font-size: 16px;
}

.meiko-labo-button {
    border-radius: 7px;
    border: 2px solid #ffffff;
    color: #ffffff;
    display: block;
    margin: 20px auto;
    padding: 10px 20px;
    text-decoration: none;
    transition: .5s;
    width: 200px;
}

.meiko-labo-button:hover {
    transform: scale(1.2);
}

/* Hero media queries */

@media only screen and (max-width: 1024px) {
    .hero {
        background-image: url(../img/meiko_booth-s.jpg);
        height: 100vh;
    }

    .hero-arrow {
        left: 43%;
    }

    h1.hero-txt {
        font-size: 50px;
        line-height: 1.5;
        margin: 30px auto;
        text-shadow: none;
    }

    .hero-wrap p {
        font-size: 16px;
        padding-top: 0px;
    }

    .hero-wrap h2 {
        font-size: 18px;
    }

    .hero-arrow {
        padding-top: 0;
        width: 30px;
    }

    .information-top {
        flex-direction: column;
        justify-content: center;
        height: auto;
    }

    .info-img-top {
        padding-bottom: 0;
        padding-bottom: 10%;
    }

    .information-top p {
        margin : 5px;
    }

    .information-top br {
        display: none;
    }
}



/* Categories */

.category-container {
    align-items: center;
    background-attachment: fixed;
    background-image: url(../img/tech-bg.jpg);
    background-position: center;
    background-size: cover;
    display: flex;
    min-height: auto;
}

.category-flex-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
    max-width: 900px;
    padding: 50px 10%;
}

.category-item-wrap {
    margin: 40px 10px;
    padding: 0;
    position: relative;
    transition: .5s;
}

.category-item-inner {
    background-image: url(../img/category-background.jpg);
    background-size: cover;
    border-radius: 50%;
    -webkit-box-shadow: 5px 5px 13px 0px rgba(0,0,0,0.49); 
    box-shadow: 5px 5px 13px 0px rgba(0,0,0,0.49);
    height: 145px;
    margin: 0;
    overflow: hidden;
    transition: .5s;
    width: 145px;
}

.category-item {
    align-items: center;
    background-color: rgba(114, 193, 255, 0.5);
    color: #ffffff;
    display: flex;
    font-size: 18px;
    font-weight: bold;
    height: 100%;
    justify-content: center;
    text-decoration: none;
    transition: .5s;
    width: 100%;
}

.category-inner-txt {
    text-align: center;
}

.category-item:hover .category-inner-txt-hover {
    display: block;
}

.category-icon-wrap {
    bottom: -40%;
    display: none;
    justify-content: center;
    left: -38%;
    margin-left: auto;
    margin-right: auto;
    position: absolute;
    right: 0;
    text-align: center;
    width: 250px;
    z-index: 5;
}

.cat-icon {
    height: auto;
    margin: 5px;
    width: 35px;
}

.category-item-wrap:hover .category-icon-wrap {
    display: flex;
}


@media only screen and (max-width: 768px) {
/* category section query */
    
    .category-container {
        background-color: white;
        padding: 30px 0;
    }

    .category-item-inner {
        height: 150px;
        width: 150px;}

    .category-flex-wrap {
        padding: 0 10px;
    }

    .category-item-wrap {
        margin: 10px;
    }

    .category-container {
        background-attachment: scroll;
        background-image: url(../img/tech-bg-sp.jpg);
        background-repeat: repeat;
        background-size: contain;
    }
}

@media only screen and (max-width: 1024px) and (min-width: 769px) {

    .category-container {
        background-attachment: scroll;
        background-image: url(../img/tech-bg.jpg);
        background-repeat: repeat;
        background-size: contain;
        background-position: center;
    }
}

@media only screen and (min-width: 1024px) {

    .category-item-inner:hover {
        transform: scale(1.05);
    }
    
    .category-item:hover {
        background-color: transparent;
    }
}

@media only screen and (max-width: 1024px) {

    .category-item-wrap:hover .category-icon-wrap {
        display: none;
    }
}

/* Main-section */ /*main content*/

.main-container {
    background-color:#3787C4 ;
    position: relative;
}

.main-container-inner {
    padding: 0 10% 10%;
}

.main-container-inner:before {
    background-image: url('../img/circuit-board.png');
    background-position: 50% 0;
    background-repeat: repeat;
    background-size: 100%;
    content: ' ';
    display: block;
    height: 100%;
    left: 0;
    opacity: 0.05;
    position: absolute;
    top: 0;
    width: 100%;
  }

section {
    padding-top: 10%;
}

.section-wrapper {
    background-color: #ffffff;
    border-bottom-left-radius: 100px;
    border-top-right-radius: 100px;
    margin: 0 auto;
    max-width: 1000px;
    padding: 20px;
    position: relative;
}

.section-ttl {
    color: #0268B7;
    font-size: 50px;
    margin: 0 30px 10px;
}

.section-icon-container { 
    background-color: #0AA4CA;
    -webkit-box-shadow: 4px 3px 15px -4px rgba(0,0,0,0.8);
    box-shadow: 4px 3px 15px -4px rgba(0,0,0,0.8);
    display: flex;
    flex-wrap: wrap;
    height: auto;
    margin-left: -8%;
    max-width: 600px;
    padding: 5px 10px;
    width: 100%;
}

.section-icon {
    height: 50px;
    padding: 5px 10px;
    width: 50px;
}

.section-contact-link {
    display: none;
}

.section-description {
    font-size: 20px;
    padding: 2% 5%;
}

 /* PDF section */

.section-pdf-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: baseline;
}

.pdf-button {
    align-items: center;
    background-color: rgb(0, 25, 80);
    display: flex;
    justify-content: center;
    margin: 5px 5px;
    min-height: 50px;
    padding: 15px 10px;
    position: relative;
    text-align: center;
    width: 30%;
}

.pdf-button.active {
    background-color:#012a68;
}

.pdf-button:hover {
    background-color:#012a68;
    cursor: pointer;
}

.pdf-ttl {
    display: block;
    font-weight: bold;
    justify-self: center;
    padding-left: 8%;
    padding-right: 8%;
    width: 90%;
}

.no-wrap {
    white-space: nowrap;
}

.pdf-button-wrap .pdf-description {
    display: block;
    font-size: 14px;
    text-align: left;
}

.pdf-icon {
    display: inline-block;
    justify-self: right;
    margin: 0;
    padding: 5px;
    transition: .3s;
    width: 40px;
}

.pdf-icon:hover {
    transform: scale(1.2);
}

.download-button {
    align-items: center;
    color: #ffffff;
    display: flex;
    text-decoration: none;
    width: 100%;
}

  /* Section Media */

.section-media-container {
    padding: 5%;
}

.video-container {
    margin-bottom: 3%;
    overflow: hidden;
    padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
    position: relative;
    width: 100%;
}

.embed-responsive-item {
    bottom: 0;
    height: 100%;
    left: 0;
    position:absolute; 
    right: 0;
    top: 0;
    width: 100%;
}

.section-img-container {
    width: 100%;
}

.section-img {
    display: block;
    margin: 0 auto;
    max-width: 600px;
    width: 100%;
}

.footer {
    background-color:#ffffff;
    color:#258bda;
    padding: 2%;
    text-align: center;
}

/*main content media query */
@media only screen and (max-width: 599px) {

    .section-ttl {
        font-size: 30px;
    }

    .main-container-inner {
        padding: 5%;
    }

    .section-icon-container {
        -moz-animation: none !important;
        -ms-animation: none !important;
        -o-animation: none !important;
        -webkit-animation: none !important;
        animation: none !important;
        visibility: visible !important;
    }

    .section-pdf-container {
        align-items: center;
        display: flex;
        flex-direction: column;
    }

    .pdf-button {
        width: 90%;
    }
    
    .pdf-ttl {
        padding: 0 10%;
    }

    .pdf-ttl br {
        display: none;
    }

}

@media only screen and (max-width: 1200px) and (min-width: 881px) {

    .pdf-button {
        width: 45%;
    }
}

@media only screen and (max-width: 880px) and (min-width: 600px) {

    .pdf-button {
        max-width: 350px;
        width: 100%;
    }

    .section-pdf-container {
        align-items: center;
        display: flex;
        flex-direction: column;
    }

    .section-icon-container {
        -moz-animation: none !important;
        -ms-animation: none !important;
        -o-animation: none !important;
        -webkit-animation: none !important;
        animation: none !important;
        visibility: visible !important;
    }
}